org.eclipse.jetty.client

## Class RedirectListener

- java.lang.Object
- - org.eclipse.jetty.client.HttpEventListenerWrapper
  - - org.eclipse.jetty.client.RedirectListener

All Implemented Interfaces:
  HttpEventListener

    public class RedirectListener
    extends HttpEventListenerWrapper

RedirectListener Detect and handle the redirect responses

### Constructor Summary

Constructors
Constructor and Description
`RedirectListener(HttpDestination destination, HttpExchange ex)`

### Method Summary

Methods
`boolean` `checkExchangeComplete()`
`void` `onConnectionFailed(Throwable ex)` Delegate failed connection
`void` `onException(Throwable ex)` Delegate onException
`void` `onRequestComplete()`
`void` `onResponseComplete()`
`void` `onResponseHeader(Buffer name, Buffer value)`
`void` `onResponseStatus(Buffer version, int status, Buffer reason)`
`void` `onRetry()`

### Methods inherited from class org.eclipse.jetty.client.HttpEventListenerWrapper

`getEventListener, isDelegatingRequests, isDelegatingResponses, onExpire, onRequestCommitted, onResponseContent, onResponseHeaderComplete, setDelegatingRequests, setDelegatingResponses, setDelegationResult, setEventListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedirectListener

    public RedirectListener(HttpDestination destination,
                    HttpExchange ex)

### Method Detail

#### onResponseStatus

    public void onResponseStatus(Buffer version,
                        int status,
                        Buffer reason)
                          throws IOException

Specified by:
  `onResponseStatus` in interface `HttpEventListener`
Overrides:
  `onResponseStatus` in class `HttpEventListenerWrapper`
Throws:
  `IOException`

#### onResponseHeader

    public void onResponseHeader(Buffer name,
                        Buffer value)
                          throws IOException

Specified by:
  `onResponseHeader` in interface `HttpEventListener`
Overrides:
  `onResponseHeader` in class `HttpEventListenerWrapper`
Throws:
  `IOException`

#### onRequestComplete

    public void onRequestComplete()
                           throws IOException

Specified by:
  `onRequestComplete` in interface `HttpEventListener`
Overrides:
  `onRequestComplete` in class `HttpEventListenerWrapper`
Throws:
  `IOException`

#### onResponseComplete

    public void onResponseComplete()
                            throws IOException

Specified by:
  `onResponseComplete` in interface `HttpEventListener`
Overrides:
  `onResponseComplete` in class `HttpEventListenerWrapper`
Throws:
  `IOException`

#### checkExchangeComplete

    public boolean checkExchangeComplete()
                                  throws IOException

Throws:
  `IOException`

#### onRetry

    public void onRetry()

Specified by:
  `onRetry` in interface `HttpEventListener`
Overrides:
  `onRetry` in class `HttpEventListenerWrapper`

#### onConnectionFailed

    public void onConnectionFailed(Throwable ex)

Delegate failed connection

Specified by:
  `onConnectionFailed` in interface `HttpEventListener`
Overrides:
  `onConnectionFailed` in class `HttpEventListenerWrapper`

#### onException

    public void onException(Throwable ex)

Delegate onException

Specified by:
  `onException` in interface `HttpEventListener`
Overrides:
  `onException` in class `HttpEventListenerWrapper`